# NAME

Trf_SetOption - Interface to procedures to define the value of an option.

# SYNOPSIS

    #include <transform.h>

    int Trf_SetOption
    (
    	Trf_Options options,
    	Tcl_Interp *interp,
    	const char *optname,
    	const char *optvalue,
    	ClientData clientData
    );

# PARAMETERS

Trf_Options options
  Container to place the value into.
Tcl_Interp *interp
  Interpreter for error messages (NULL possible).
const char *optname
  Name of option to define.
const char *optvalue
  Value to set into the container.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

The procedure takes the specified optionname (rejecting illegal ones) and places the given optionvalue into the container. All necessary conversions from a string to the required type should be done here. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs